Ondersteuning voor Python 2.7 tot 2020

Redactie
0

Gebruikers die nog niet in staat zijn geweest om hun code te upgraden naar Python 3.x krijgen nog eens vijf jaar respijt. De code van de 2.x serie wordt namelijk nog eens vijf jaar langer ondersteund, maar een versie 2.8 is nog steeds niet in zicht.

De intussen bij Dropbox werkzame Python-uitvinder Guido van Rossum heeft het  releaseschema voor versie 2.7 van zijn programmeertaal bijgewerkt en de End of Life vijf jaar verder naar achteren geschoven. Hierdoor zal de 2.x -serie tot 202 0ondersteund worden. Tot mei 2015 zullen regelmatige, halfjaarlijkse updates verschijnen. Daarna komen er alleen nog updates wanneer dat nodig is.

Deze stap is genomen om de status van Python 2.7 te verhelderen en om het leven voor gebruikers te vergemakkelijken die niet in staat zijn om hun code bij te werken of die ook in de toekomst nog support voor de oude versie moeten geven. Een versie 2.8 komt er voorlopig niet, ook al zijn er in dit verband meerdere wensen en voorstellen gelanceerd.

Eind 2008 heeft de Python Foundation versie 3.0 van de taal gepubliceerd , maar die was incompatibel met de 2.x serie . Er stonden op dat moment informatie en hulpmiddelen klaar om te helpen bij de overstap. Toch is er nog steeds veel Python 2.x-code in gebruik , waarbij het ​​de vraag is hoe de kosten en baten zijn afgewogen. Daarnaast zien veel gebruikers van met name grote projecten het risico dat er door de upgrade nieuwe fouten geïntroduceerd worden. Van Rossum heeft deze feiten waarschijnlijk ook op de momenteel lopende PyCon 2014 benoemd en aanvullende extra ondersteuning zoals tools voor het porteren gemeld. De laatste versie Python 3.4 is sinds medio maart beschikbaar . ( jul/ple )

Deel dit artikel

Lees ook

webtip: stamboom van muziek

Data mooi en duidelijk weergeven is één ding, maar musicmap.info met z’n geneologie van muziek zit ook tjokvol informatie over het doel van de site, h...

UEFI-firmware voor Raspberry Pi 4 (en 3)

Programmeurs werken aan een UEFI-compatibele firmware voor de Raspberry Pi waarmee ARM64 Linux-distributies eenvoudiger kunnen opstarten.

Interessant voor jou

0 Praat mee

avatar
  Abonneer  
Laat het mij weten wanneer er